Passer au contenu principal
POST
/
v1
/
embeddings
Create an Embedding
curl --request POST \
  --url https://aihubmix.com/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": "The quick brown fox jumped over the lazy dog",
  "model": "text-embedding-3-small"
}
'
{
  "data": [
    {
      "index": 123,
      "embedding": [
        123
      ]
    }
  ],
  "model": "<string>",
  "usage": {
    "prompt_tokens": 123,
    "total_tokens": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Gateway-issued API key, formatted as sk-gateway-xxxxxxxx. Used by OpenAI-shaped endpoints (/v1/chat/completions, etc.).

Corps

application/json
input
défaut:""
requis

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for all embedding models), cannot be an empty string, and any array must be 2048 dimensions or less. Example Python code for counting tokens. In addition to the per-input token limit, all embedding models enforce a maximum of 300,000 tokens summed across all inputs in a single request.

Exemple:

"The quick brown fox jumped over the lazy dog"

model
requis

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

Exemple:

"text-embedding-3-small"

encoding_format
enum<string>
défaut:float

The format to return the embeddings in. Can be either float or base64.

Options disponibles:
float,
base64
Exemple:

"float"

dimensions
integer

The number of dimensions the resulting output embeddings should have. Only supported in text-embedding-3 and later models.

Plage requise: x >= 1
user
string

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Exemple:

"user-1234"

Réponse

OK

data
object[]
requis

The list of embeddings generated by the model.

model
string
requis

The name of the model used to generate the embedding.

object
enum<string>
requis

The object type, which is always "list".

Options disponibles:
list
usage
object
requis

The usage information for the request.